<template>
  <div class="container mx-auto">
    <sport-popular-match v-if="isRecommendMatchEnabled" />
    <banner-entry
      :variant="indexBlogI.Text !== '' ? indexBlogI.Text : 'compact'"
      v-if="!indexBlogI.IsHidden"
    />
    <lobby-promotion v-if="isIndexBlogIIEnabled" :is-animate-theme-color="isAnimateThemeColor"/>
    <lobby-shortcut :is-animate-btn="isAnimateThemeColor" :use-primary-color="isAnimateThemeColor"/>
    <lobby-provider v-if="isIndexBlogVEnabled" class="mb-24" />
  </div>
</template>
<script setup lang="ts">
import { IThemePropertiesFromApi } from "~~/models/companyThemePropertiesRespone";
import { store } from "~~/store";

const themeProperties =
store.state.companyThemePropertiesFromApi.ThemeProperties;
const isAnimateThemeColor = computed(() => {
  const themeColor = themePropertyHelper.getSingleThemeProperty(
    themeProperties,
    "theme_color"
  ).Text;
  return ['main_cobaltblue'].includes(themeColor);
});
const indexBlogI = themePropertyHelper.getSingleThemeProperty(
  themeProperties,
  "index_blog_1"
);
const isIndexBlogIIEnabled = !themePropertyHelper.getSingleThemeProperty(
  themeProperties,
  "index_blog_2"
).IsHidden;
const isIndexBlogVEnabled = !themePropertyHelper.getSingleThemeProperty(
  themeProperties,
  "index_blog_5"
).IsHidden;
const isRecommendMatchEnabled = !themePropertyHelper.getSingleThemeProperty(
  themeProperties,
  "sportsbook_recommend_matches"
).IsHidden;
</script>
